osl::misc::IconvConvert Struct Reference

`#include <iconvConvert.h>`

## Static Public Member Functions

static std::string | eucToLang (const std::string &src)
static std::string | convert (const std::string &fromcode, const std::string &tocode, const std::string &src)
static std::string | langToIconvCode (const std::string &lang)

## Static Private Member Functions

static std::string | convert (IconvCD &cd, const std::string &src)

## Detailed Description

Definition at line 14 of file iconvConvert.h.

## Member Function Documentation

## convert() [1/2]

std::string osl::misc::IconvConvert::convert | ( | const std::string & | fromcode,
|  | const std::string & | tocode,
|  | const std::string & | src )

static

Definition at line 59 of file iconvConvert.cc.

References convert().

Referenced by convert(), and eucToLang().

## convert() [2/2]

std::string osl::misc::IconvConvert::convert | ( | IconvCD & | cd,
|  | const std::string & | src )

static private

Definition at line 70 of file iconvConvert.cc.

## eucToLang()

std::string osl::misc::IconvConvert::eucToLang | ( | const std::string & | src | ) |

static

Definition at line 44 of file iconvConvert.cc.

References convert(), and langToIconvCode().

Referenced by osl::misc::eucToLang().

## langToIconvCode()

std::string osl::misc::IconvConvert::langToIconvCode | ( | const std::string & | lang | ) |

static

Definition at line 23 of file iconvConvert.cc.

Referenced by eucToLang().

The documentation for this struct was generated from the following files:

- iconvConvert.h
- iconvConvert.cc